# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Mar  5 19:08:09 2021
# ------------------------------------------------

package:
  name: numexpr
  version: 2.7.3
source:
  sha256: 43616529f9b7d1afc83386f943dc66c4da5e052f00217ba7e3ad8dd1b5f3a825
  url: https://pypi.io/packages/source/n/numexpr/numexpr-2.7.3.tar.gz
build:
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/numexpr_1614971340455/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps -vv
  string: py38h51da96c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - gcc_impl_linux-64 9.3.0 h70c0ae5_18
    - gcc_linux-64 9.3.0 hf25ea35_30
    - gxx_impl_linux-64 9.3.0 hd87eabc_18
    - gxx_linux-64 9.3.0 h3fbe746_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-devel_linux-64 9.3.0 hb016644_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2020.12.5 ha878542_0
    - certifi 2020.12.5 py38h578d9bd_1
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libblas 3.9.0 8_openblas
    - libcblas 3.9.0 8_openblas
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgfortran-ng 9.3.0 hff62375_18
    - libgfortran5 9.3.0 hff62375_18
    - libgomp 9.3.0 h2828fa1_18
    - liblapack 3.9.0 8_openblas
    - libopenblas 0.3.12 pthreads_h4812303_1
    - libstdcxx-ng 9.3.0 h6de172a_18
    - ncurses 6.2 h58526e2_4
    - numpy 1.16.6 py38h18fd61f_0
    - openssl 1.1.1j h7f98852_0
    - pip 21.0.1 pyhd8ed1ab_0
    - python 3.8.8 hffdb5ce_0_cpython
    - python_abi 3.8 1_cp38
    - readline 8.0 he28a2e2_2
    - setuptools 49.6.0 py38h578d9bd_3
    - sqlite 3.34.0 h74cdb3f_0
    - tk 8.6.10 h21135ba_1
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - libgcc-ng >=9.3.0
    - libstdcxx-ng >=9.3.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - setuptools
test:
  imports:
    - numexpr
    - numexpr.interpreter
about:
  description: 'Numexpr is a fast numerical expression evaluator for NumPy. With it,

    expressions that operate on arrays (like "3*a+4*b") are accelerated and use

    less memory than doing the same calculation in Python.

    '
  dev_url: https://github.com/pydata/numexpr
  doc_url: https://github.com/pydata/numexpr/wiki/Numexpr-Users-Guide
  home: https://github.com/pydata/numexpr
  license: MIT
  license_file: LICENSE.txt
  summary: Fast numerical expression evaluator for NumPy.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - djkirkham
    - msarahan
    - ocefpaf
    - scopatz
